For the complete documentation index, see llms.txt. This page is also available as Markdown.

DescribePortUsableVlan

1. API Description

This API (DescribePortUsableVlan) is used to query Port Available VLAN

Notes

  • Either the port or the data center must be provided.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

portId

No

String

Port ID.

Either the port or the data center must be provided.

dcId

No

String

Data center four-letter code. Obtainable via the DescribeDataCenters API.

Either the port or the data center must be provided.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

start

Integer

Start value of the VLAN range.

end

Integer

End value of the VLAN range.

inuseVlanList

Array of Integer

List of VLANs currently in use.

4. Code Example

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

400

INVALID_PORT_OR_DATACENTER

At least one of portId or dcId must be provided.

Last updated